variable "tag" {
  description = "Python image tag"
  type        = string
  default     = "python:3.12-slim"
}

variable "namespace" {
  description = "Kubernetes namespace to deploy the metrics server"
  type        = string
}

variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}

variable "deployments" {
  description = "A map of configuration items for the cert checker. Each item should include deployment_name, service_name, and service_port."
  type = map(object({
    service_name = string
    service_port = number
    secret_name  = string
    schedule     = optional(string) # Cron schedule expression
  }))
  default = {}
}
